


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html id="htmlId">
<head>
  <title>Coverage Report :: ProjectRole</title>
  <style type="text/css">
    @import "../../.css/coverage.css";
  </style>
</head>

<body>
<div class="header"></div>

<div class="content">
<div class="breadCrumbs">
    [ <a href="../../index.html">all classes</a> ]
    [ <a href="../index.html">com.dema.timeregistration.entity</a> ]
</div>

<h1>Coverage Summary for Class: ProjectRole (com.dema.timeregistration.entity)</h1>

<table class="coverageStats">
<tr>
  <th class="name">Class</th>
<th class="coverageStat 
">
  Class, %
</th>
<th class="coverageStat 
">
  Method, %
</th>
<th class="coverageStat 
">
  Line, %
</th>
</tr>
<tr>
  <td class="name">ProjectRole</td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (1/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    70%
  </span>
  <span class="absValue">
    (7/ 10)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    77.8%
  </span>
  <span class="absValue">
    (14/ 18)
  </span>
</td>
</tr>

</table>

<br/>
<br/>


<div class="sourceCode"><i>1</i>&nbsp;package com.dema.timeregistration.entity;
<i>2</i>&nbsp;
<i>3</i>&nbsp;import javax.persistence.*;
<i>4</i>&nbsp;
<i>5</i>&nbsp;@Entity
<i>6</i>&nbsp;@Table(uniqueConstraints = {@UniqueConstraint(columnNames = {&quot;project&quot;, &quot;user&quot;})})
<b class="fc"><i>7</i>&nbsp;public class ProjectRole extends EntityWithId {</b>
<i>8</i>&nbsp;    @Enumerated(EnumType.STRING)
<i>9</i>&nbsp;    private Role role;
<i>10</i>&nbsp;
<i>11</i>&nbsp;    @JoinColumn(name = &quot;project&quot;)
<i>12</i>&nbsp;    @ManyToOne
<i>13</i>&nbsp;    private Project project;
<i>14</i>&nbsp;
<i>15</i>&nbsp;    @JoinColumn(name = &quot;user&quot;)
<i>16</i>&nbsp;    @ManyToOne
<i>17</i>&nbsp;    private User user;
<i>18</i>&nbsp;
<i>19</i>&nbsp;    public static ProjectRole create(Role role, Project project, User user) {
<b class="fc"><i>20</i>&nbsp;        ProjectRole projectRole = new ProjectRole();</b>
<b class="fc"><i>21</i>&nbsp;        projectRole.setRole(role);</b>
<b class="fc"><i>22</i>&nbsp;        projectRole.setProject(project);</b>
<b class="fc"><i>23</i>&nbsp;        projectRole.setUser(user);</b>
<b class="fc"><i>24</i>&nbsp;        return projectRole;</b>
<i>25</i>&nbsp;    }
<i>26</i>&nbsp;
<i>27</i>&nbsp;    public int getId() {
<b class="nc"><i>28</i>&nbsp;        return id;</b>
<i>29</i>&nbsp;    }
<i>30</i>&nbsp;
<i>31</i>&nbsp;    public void setId(int id) {
<b class="nc"><i>32</i>&nbsp;        this.id = id;</b>
<b class="nc"><i>33</i>&nbsp;    }</b>
<i>34</i>&nbsp;
<i>35</i>&nbsp;    public Role getRole() {
<b class="fc"><i>36</i>&nbsp;        return role;</b>
<i>37</i>&nbsp;    }
<i>38</i>&nbsp;
<i>39</i>&nbsp;    public void setRole(Role role) {
<b class="fc"><i>40</i>&nbsp;        this.role = role;</b>
<b class="fc"><i>41</i>&nbsp;    }</b>
<i>42</i>&nbsp;
<i>43</i>&nbsp;    public Project getProject() {
<b class="fc"><i>44</i>&nbsp;        return project;</b>
<i>45</i>&nbsp;    }
<i>46</i>&nbsp;
<i>47</i>&nbsp;    public void setProject(Project project) {
<b class="fc"><i>48</i>&nbsp;        this.project = project;</b>
<b class="fc"><i>49</i>&nbsp;    }</b>
<i>50</i>&nbsp;
<i>51</i>&nbsp;    public User getUser() {
<b class="nc"><i>52</i>&nbsp;        return user;</b>
<i>53</i>&nbsp;    }
<i>54</i>&nbsp;
<i>55</i>&nbsp;    public void setUser(User user) {
<b class="fc"><i>56</i>&nbsp;        this.user = user;</b>
<b class="fc"><i>57</i>&nbsp;    }</b>
<i>58</i>&nbsp;}
</div>
</div>

<div class="footer">
    
    <div style="float:right;">generated on 2019-05-13 13:51</div>
</div>
</body>
</html>
